package fr.inria.eventloud.logs_analyzer;

import java.util.Date;

/**
 * 
 * @author lpellegr
 */
public class SocialFilterResult {

    private final Date timeOfOccurence;

    private final String source;

    private final String destination;

    private final double threshold;

    private final double relationshipStrengh;

    private final String graph;

    private final String subject;

    private final String predicate;

    private final String object;

    public SocialFilterResult(Date timeOfOccurence, String source,
            String destination, double threshold, double relationshipStrengh,
            String graph, String subject, String predicate, String object) {
        this.timeOfOccurence = timeOfOccurence;
        this.source = source;
        this.destination = destination;
        this.threshold = threshold;
        this.relationshipStrengh = relationshipStrengh;
        this.graph = graph;
        this.subject = subject;
        this.predicate = predicate;
        this.object = object;
    }

    public Date getTimeOfOccurence() {
        return this.timeOfOccurence;
    }

    public String getSource() {
        return this.source;
    }

    public String getDestination() {
        return this.destination;
    }

    public double getThreshold() {
        return this.threshold;
    }

    public double getRelationshipStrengh() {
        return this.relationshipStrengh;
    }

    public String getGraph() {
        return this.graph;
    }

    public String getSubject() {
        return this.subject;
    }

    public String getPredicate() {
        return this.predicate;
    }

    public String getObject() {
        return this.object;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        return "SocialFilterAnswer[timeOfOccurence=" + timeOfOccurence
                + ", source=" + source + ", destination=" + destination
                + ", threshold=" + threshold + ", relationshipStrengh="
                + relationshipStrengh + ", graph=" + graph + ", subject="
                + subject + ", predicate=" + predicate + ", object=" + object
                + "]";
    }

}
